LATEXDIFF-VC(1)

NAME
latexdiff-vc - wrapper script that calls latexdiff for different versions of a file under version management (CVS, RCS or SVN)

SYNOPSIS
latexdiff-vc [ latexdiff-options ] [ latexdiff-vc-options ] -r [rev1] [-r rev2] file1.tex [ file2.tex ...]

 or

latexdiff-vc [ latexdiff-options ] [ latexdiff-vc-options ][ --postscript | --pdf ] old.tex new.tex

DESCRIPTION
latexdiff-vc is a wrapper script that applies latexdiff to a file, or multiple files under version control (git, subversion (SVN), mercurial (hg), CVS, RCS), and optionally runs the sequence of "latex" and "dvips" or "pdflatex" commands necessary to produce pdf or postscript output of the difference tex file(s). It can also be applied to a pair of files to automatise the generation of difference file in postscript or pdf format.

OPTIONS

--rcs, --svn, --cvs, --git or --hg
    Set the version system. If no version system is specified, latexdiff-vc will venture a guess.

    latexdiff-cvs, latexdiff-rcs etc are variants of latexdiff-vc which default to the respective versioning system. However, this default can still be overridden using the options above.

-r, -r rev or --revision, --revision=rev
    Choose revision (under RCS, CVS, SVN, GIT or HG). One or two -r options can be specified, and they result in different behaviour:

    latexdiff-vc -r file.tex ...
        compares file.tex with the most recent version checked into RCS.

    latexdiff-vc -r rev1 file.tex ...
        compares file.tex with revision rev1.

    latexdiff-vc -r rev1 -r rev2 file.tex ...
        compares revisions rev1 and rev2 of file.tex.

        Multiple files can be specified for all of the above options. All files must have the extension ".tex", though.

    latexdiff-vc  old.tex new.tex
        compares two files.

    The name of the difference file is generated automatically and reported to stdout.

-d or --dir  -d path or --dir=path
    Rather than appending the string "diff" and optionally the version numbers given to the output-file, this will prepend a directory name "diff" to the original filename, creating the directory and subdirectories should they not exist already. This is particularly useful in order to clone a complete directory hierarchy. Optionally, a pathname path can be specified, which is prepended instead of "diff".

--flatten,--flatten=keep-intermediate
    If combined with "--git", "--svn" or "--hg" option or the corresponding modes, check out the revisions to compare in a separate temporary directory, and then pass on option "--flatten" to latexdiff. The directory in which "latexdiff-vc" is invoked defines the subtree which will be checked out. Note that if additional files are needed which are not included in the flatten procedure (package files, included graphics), they need to be accessible in the current directory. If you use bibtex, it is recommended to include the ".bbl" file in the version management.

    The generic usage of this function is : "latexdiff-vc --flatten -r rev1 [-r rev2] master.tex" where master.tex is the project file containing the highest level of includes etc.

    With "--flatten=keep-intermediate", the intermediate revision snapshots are kept in the current directory (Default is to store them in a temporary directory and delete them after generating the diff file.)

--config var1=val1,var2=val2,... or -c var1=val1,..
--only-changes
    Post-process the output such that only pages with changes on them are displayed. This requires the use of subtype ZLABEL in latexdiff, which will be set automatically, but any manually set -s option will be overruled (also requires zref package to be installed). (note that this option must be combined with --ps or --pdf to make sense)

--force
    Overwrite existing diff files without asking for confirmation. Default behaviour is to ask for confirmation before overwriting an existing difference file.

--run
    run latex command on diff file after generation of diff file.

--dvi
    run latex and dvixxx commands after generation of diff file.

-c configfile
    Set configuration variables for latexdiff and latexdiff-vc. The option can be repeated to set different variables (as an alternative to the comma-separated list). Available variables for latexdiff-vc:

    "LATEXDIFF" latexdiff command (e.g. latexdiff-fast, latexdiff-so). This command should support the option "--interaction=batchmode"
    "LATEX" latex command (e.g. pdflatex, lualatex)
    "DVI2"  Command for conversion of dvi file (e.g. dvips, dvipdf)
    "BIBTEX" Command replacing bibtex

    All other config variables are passed to latexdiff. Explicity set configuration changes always override implicit changes by the following shortcut options --fast, --so, --ps and --pdf.

--fast or --so
    Use "latexdiff-fast" or "latexdiff-so", respectively (instead of "latexdiff").

--ps or --postscript
    Generate postscript output from difference file. This will run the sequence "latex; latex; dvips" on the difference file (do not use this option in the rare cases, where three "latex" commands are required if you care about correct referencing). If the difference file contains a "\bibliography" tag, run the sequence "latex; bibtex; latex; latex; dvips".

--pdf
    Generate pdf output from difference file using "pdflatex". This will run the sequence "pdflatex; pdflatex" on the difference file, or "pdflatex; bibtex; pdflatex; pdflatex" for files requiring bibtex. Note that this is not just a shortcut for setting configuration variable but also triggers some special behaviour.

--show-config
    Show values of configuration variables.

--help or -h
    Show help text

--version
    Show version number

All other options are passed on to "latexdiff".

SEE ALSO
latexdiff

PORTABILITY
latexdiff-vc uses external commands and is therefore dependent on the system architecture; it has been tested mainly on Unix-like systems. It also requires the a version control system and latex to be installed on the system to make use of all features. Modules from Perl 5.8 or higher are required.

BUG REPORTING
Please submit bug reports using the issue tracker of the github repository page https://github.com/ftilmann/latexdiff.git, or send them to tilmann -- AT -- gfz-potsdam.de. Include the version number of latexdiff-vc (option "--version").

AUTHOR
Version 1.2.1 Copyright (C) 2005-2017 Frederik Tilmann

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License Version 3 Contributors: S Utcke, H Bruyninckx; some ideas have been inspired by git-latexdiff bash script. C. Junghans: Mercurial Support.